org.eclipse.viatra.transformation.runtime.emf.rules

## Class TransformationRuleGroup<Rule extends ITransformationRule<?,?>>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<Rule>
      - - org.eclipse.viatra.transformation.runtime.emf.rules.TransformationRuleGroup<Rule>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Rule>, java.util.Collection<Rule>, java.util.Set<Rule>
  Direct Known Subclasses:
    BatchTransformationRuleGroup, EventDrivenTransformationRuleGroup

      public class TransformationRuleGroup<Rule extends ITransformationRule<?,?>>
      extends java.util.HashSet<Rule>

  Helper collection for grouping transformation rules
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationRuleGroup()`
    `TransformationRuleGroup(Rule... rules)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<RuleSpecification<?>,java.util.Set<EventFilter<?>>>` | `getFilteredRuleMap()`
    `java.util.Set<RuleSpecification<?>>` | `getRuleSpecifications()`
    `void` | `prepareQueryEngine(ViatraQueryEngine engine)` Ensures all rules are initialized on a given VIATRA Query engine

    - ### Methods inherited from class java.util.HashSet

      `add, clear, clone, contains, isEmpty, iterator, remove, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### TransformationRuleGroup

          public TransformationRuleGroup()

    - #### TransformationRuleGroup

          @SafeVarargs
          public TransformationRuleGroup(Rule... rules)

  - ### Method Detail

    - #### getRuleSpecifications

          public java.util.Set<RuleSpecification<?>> getRuleSpecifications()

    - #### getFilteredRuleMap

          public java.util.Map<RuleSpecification<?>,java.util.Set<EventFilter<?>>> getFilteredRuleMap()

      Since:
        2.0

    - #### prepareQueryEngine

          public void prepareQueryEngine(ViatraQueryEngine engine)

      Ensures all rules are initialized on a given VIATRA Query engine
      Since:
        2.2